#include <Be.h>
#include <stdlib.h>
#include <unistd.h>

main(int argc, char *argv[])
{
	BApplication *theApp;
	app_info info;
	BMessage *theMessage = new BMessage();
	BMessenger *theMessenger = new BMessenger('SHRK', -1);
	record_ref recref;
	BDirectory *dir = new BDirectory();
	BFile *file;
	char cwd[4096];
	char temp[4096];
	int i, j;
	
	theApp = new BApplication(0);
	
	if(be_app->GetAppInfo(&info) == B_NO_ERROR){
		file = new BFile();
		file->SetRef(info.ref);
		if(file->GetParent(dir) == B_ERROR){
			puts("Error: can't access directory");
			exit(1);
		}
		theMessage->what = 'Bopn';
		getcwd(cwd, sizeof(cwd));
		if(argc < 2){
			if(dir->GetRefForPath(cwd, &recref) == B_ERROR){
				puts("Error: can't get record");
				exit(1);
			}
			theMessage->AddRef("refs", recref);
		}
		else{
			for(i = 1; i < argc; i++){
				if(strcmp(argv[i], ".") == 0){
					dir->GetRefForPath(cwd, &recref);
				}
				else{
					j = strlen(argv[i]);
					if(argv[i][j - 1] == '/'){
						strcpy(temp, argv[i]);
						temp[j - 1] = 0;
						dir->GetRefForPath(temp, &recref);
					}
					else{
						dir->GetRefForPath(argv[i], &recref);
//						dir->GetPath(test, sizeof(test));
					}
				}
				theMessage->AddRef("refs", recref);
			}
		}
		theMessenger->SendMessage(theMessage);
	}
	else{
		puts("Error: can't get current directory");
		exit(1);
	}
	
	delete(theApp);
	return(0);
}
